Index: tools/pdbgen/pdb/fileops.pdb
===================================================================
RCS file: /cvs/gnome/gimp/tools/pdbgen/pdb/fileops.pdb,v
retrieving revision 1.31
retrieving revision 1.32
diff -u -p -r1.31 -r1.32
--- tools/pdbgen/pdb/fileops.pdb	18 Nov 2002 20:50:30 -0000	1.31
+++ tools/pdbgen/pdb/fileops.pdb	30 Dec 2002 23:15:44 -0000	1.32
@@ -296,8 +296,11 @@ HELP
     );
 
     %invoke = (
-	headers => [ qw(<process.h> "config/gimpbaseconfig.h") ],
-	vars => [ 'static gint id = 0', 'static gint pid', 'gchar *filename' ],
+	headers => [ qw(<process.h>
+	                "config/gimpbaseconfig.h"
+                        "config/gimpconfig-path.h") ],
+	vars => [ 'static gint id = 0', 'static gint pid',
+	          'gchar *filename', 'gchar *path' ],
 	code => <<'CODE'
 {
   if (id == 0)
@@ -306,9 +309,12 @@ HELP
   filename = g_strdup_printf ("gimp_temp_%d%d.%s",
 			      pid, id++, extension);
 
-  name = g_build_filename (GIMP_BASE_CONFIG (gimp->config)->temp_path,
-                           filename, NULL);
+  path = gimp_config_path_expand (GIMP_BASE_CONFIG (gimp->config)->temp_path,
+                                  TRUE, NULL);
 
+  name = g_build_filename (path, filename, NULL);
+
+  g_free (path);
   g_free (filename);
 }
 CODE
Index: app/pdb/fileops_cmds.c
===================================================================
RCS file: /cvs/gnome/gimp/app/pdb/fileops_cmds.c,v
retrieving revision 1.26
retrieving revision 1.27
diff -u -p -r1.26 -r1.27
--- app/pdb/fileops_cmds.c	18 Nov 2002 20:49:07 -0000	1.26
+++ app/pdb/fileops_cmds.c	30 Dec 2002 23:15:44 -0000	1.27
@@ -42,6 +42,7 @@
 #include "procedural_db.h"
 
 #include "config/gimpbaseconfig.h"
+#include "config/gimpconfig-path.h"
 #include "core/gimp.h"
 #include "core/gimpimage.h"
 #include "core/gimpimagefile.h"
@@ -416,6 +417,7 @@ temp_name_invoker (Gimp     *gimp,
   static gint id = 0;
   static gint pid;
   gchar *filename;
+  gchar *path;
 
   extension = (gchar *) args[0].value.pdb_pointer;
   if (extension == NULL)
@@ -429,9 +431,12 @@ temp_name_invoker (Gimp     *gimp,
       filename = g_strdup_printf ("gimp_temp_%d%d.%s",
 				  pid, id++, extension);
     
-      name = g_build_filename (GIMP_BASE_CONFIG (gimp->config)->temp_path,
-			       filename, NULL);
+      path = gimp_config_path_expand (GIMP_BASE_CONFIG (gimp->config)->temp_path,
+				      TRUE, NULL);
     
+      name = g_build_filename (path, filename, NULL);
+    
+      g_free (path);
       g_free (filename);
     }
 
